Subject: RE: issue 24

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 25 Sep 2002 16:28:07 -0400

Yakov,

> 
> By *definition* a route is a <path attribute, NLRI> pair. From that
> definition it follows that changing one or more path attributes of
> a route means changing a route, which means withdrawing the old
> route (route with the old attributes) from service and advertising
> a new route (route with the new attributes). Procedures for doing
> this are well-defined (see section 3.1), and therefore no new text
> to cover this is needed.
> 

Why withdraw and add the same route if one of the optional attributes
changes from value A to value B. In other words why take down the route if
some minor attribute changes its value. I contend that not all attributes
are equal in 
their impact to the route and could be added/modified/deleted with different
behavioral characteristics.

In secton 3.1 the text is vague aboute attribute changes.

I think a description of an attribute change impact to the overall route
will 
go a long way.

I still disagree.

Sorry,
Ben

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 25 Sep 2002 16:34:35 -0400

Ben,

On Wed, Sep 25, 2002 at 04:28:07PM -0400, Abarbanel, Benjamin wrote:
> changes from value A to value B.

If you're just changing an attribute, the withdrawal is implicit
rather than explicit.  You wouldn't want to explicitly withdraw
a route if you just want to change the attributes because that
has consequences for route damping and also for the MRAI and MAOI timers.

3.1a covers the explicit withdrawal
3.1b covers an implicit withdrawal

-- 
Jeff Haas 
NextHop Technologies